
package eu.etaxonomy.taxeditor.editor.view.media;

import org.eclipse.jface.viewers.ColumnLabelProvider;

import eu.etaxonomy.cdm.model.common.IdentifiableEntity;

/**
 * <p>MediaLabelProvider class.</p>
 *
 * @author n.hoffmann
 * @version $Id: $
 */
public class MediaLabelProvider extends ColumnLabelProvider {
	
	/** {@inheritDoc} */
	public String getText(Object element) {
		if(element instanceof IdentifiableEntity){
			return ((IdentifiableEntity) element).getTitleCache();
		}
		
		return element.toString();
	}
}
